#include<bits/stdc++.h>
#define NAME "DTHT."
using namespace std;
ifstream fi(NAME"inp");
ofstream fo(NAME"out");
int main(){
double n,ans=0;
fi>>n;
ans=(n*n/2*3.14);
fo<<fixed<<setprecision(2)<<ans;
}
